# $Revision: 1.21.2.1 $, $Date: 2007/03/19 00:44:27 $
#
# Conditional build:
%bcond_with	sqlite		# sqlite
#
Summary:	The GTK+2-client for LiveJournal
Summary(pl):	Oparty na GTK+2 klient do LiveJournala
Name:		logjam
Version:	4.5.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://neugierig.org/software/logjam/download/%{name}-%{version}.tar.bz2
# Source0-md5:	ccae70dc36644cd1529c581443484ebe
Source1:	%{name}.desktop
Patch0:		%{name}-locale_names.patch
URL:		http://logjam.danga.com/
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	gtkhtml-devel >= 3.0
BuildRequires:	gtkspell-devel >= 2.0
BuildRequires:	intltool
BuildRequires:	librsvg-devel >= 2.2.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	sqlite3-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the new GTK+2 client for LiveJournal
(http://www.livejournal.com/).

%description -l pl
To jest nowy, oparty na GTK+2, klient dla LiveJournala
(http://www.livejournal.com/).

%prep
%setup -q 
%patch0 -p1
mv -f po/{uk_UA,uk}.po
mv -f po/{ru_RU,ru}.po
mv -f po/en_US{.UTF-8,}.po

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-xmms=runtime \
	%{?with_sqlite:--with-sqlite3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog doc
%attr(755,root,root) %{_bindir}/logjam
%{_mandir}/man1/logjam.1*
%{_desktopdir}/logjam.desktop
%{_pixmapsdir}/logjam*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: logjam.spec,v $
Revision 1.21.2.1  2007/03/19 00:44:27  glen
- sqlite bcond (off not to add new dep in ac)

Revision 1.21  2006/04/08 09:31:35  aredridel
- fix patch number

Revision 1.20  2005/08/25 05:33:56  aredridel
- up to 4.5.1

Revision 1.19  2005/06/08 14:40:34  zbyniu
- BR: pkgconfig

Revision 1.18  2005/05/14 08:22:26  ankry
- locale fixes, rel. 3

Revision 1.17  2005/05/03 03:59:48  aredridel
- add sync-url patch
- rel 2

Revision 1.16  2005/01/09 17:40:10  adamg
- updated to 4.4.1
- BuildRequires: intltool

Revision 1.15  2005/01/05 22:48:21  havner
- rel 6 for aspell 0.50 rebuild

Revision 1.14  2004/12/11 00:20:14  ankry
- rel. 5

Revision 1.13  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.12  2004/11/07 13:06:11  ankry
- amd64 fix

Revision 1.11  2004/11/07 12:43:55  paladine
- rel 3 for fixed desktop file

Revision 1.10  2004/10/06 11:55:35  qboosh
- it doesn't use libcroco-devel, librsvg-devel does

Revision 1.9  2004/09/20 02:55:30  aredridel
- BR libcroco-devel
- inc rel to rebuild with new libcroco

Revision 1.8  2004/08/14 04:56:58  ankry
- BR libidn-devel not required, it is required by curl-devel

Revision 1.7  2004/08/14 03:58:20  aredridel
- br: gettext-devel

Revision 1.6  2004/08/14 03:48:52  aredridel
- br: libidn-devel

Revision 1.5  2004/07/20 17:03:43  aredridel
- up to 4.4.0

Revision 1.4  2004/02/03 16:47:41  aredridel
- up to 4.3.0-pre1

Revision 1.3  2003/12/23 04:23:31  aredridel
- rel 1, rebuild with new libgal

Revision 1.2  2003/10/31 23:03:47  qboosh
- pl, cleanups
- BR: librsvg-devel, gtkhtml-devel (optional, but used if found on builder)

Revision 1.1  2003/10/31 03:38:18  aredridel
- added
